<?php

namespace Modules\Order\Interfaces;

use Illuminate\Http\Request;
use Modules\Order\Models\Cart;
use Modules\Page\Models\Page;

interface CartRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function store(array $request): Cart;
    public function update(array $request, Cart $cart): Cart;
    public function destroy(Cart $cart);
}
